SystemOrganization addCategory: #'Equipement-TIT'!

Object subclass: #AnalogInput
	instanceVariableNames: 'total valeur valuer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:44'!
label
^valeur! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:46'!
label: aByteString 
valeur := aByteString.
! !

!AnalogInput methodsFor: 'accessing' stamp: 'GiraudBouvier 4/27/2012 16:54'!
pointValue
	^ 32767 min: (0 max: (total ifNil:[^0]))
	
! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 14:40'!
pointValue: asSmallinteger
total:= asSmallinteger.! !

Object subclass: #DigitalInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

Object subclass: #RFGenerator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

TestCase subclass: #AnalogInputTest
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:48'!
testdafaultpointvalueshouldbe0
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 'QPW1'=power label.
	self assert: 0 = power pointValue! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:19'!
testpointvaluenegatif
	power := AnalogInput new.
	power pointValue: -1.
	self assert: 0 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:19'!
testpointvaluepositif
	power := AnalogInput new.
	power pointValue: 40000.
	self assert: 32767 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 14:58'!
testpointvaluereturn15000
	power := AnalogInput new.
	power pointValue: 15000.
	self assert: 15000 = power pointValue.! !

TestCase subclass: #RFGeneratorTest
	instanceVariableNames: 'pwrOn rfOn myGenerator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 17:14'!
setUp 
pwrOn := DigitalInput new.
pwrOn label: 'PWRON'.
rfOn := DigitalInput new.
rfOn label: 'RFON'.
myGenerator := RFGenerator new.
myGenerator
	intputPwrOn: pwrOn;
	intputRfOn: rfOn.

! !
